Subject: Re: [PATCH net-next 3/4] net: ethernet: introduce phy_set_pause

From: Andrew Lunn <[email-masked]>
Date: Tue, 12 May 2020 02:51:18 +0200

On Mon, May 11, 2020 at 05:24:09PM -0700, Doug Berger wrote:
> This commit introduces the phy_set_pause function to the phylib as
> a helper to support the set_pauseparam ethtool method.
> 
> It is hoped that the new behavior introduced by this function will
> be widely embraced and the phy_set_sym_pause and phy_set_asym_pause
> functions can be deprecated. Those functions are retained for all
> existing users and for any desenting opinions on my interpretation
> of the functionality.

It would be good to add comments to phy_set_sym_pause and
phy_set_asym_pause indicating they are deprecated and point to
phy_set_pause().

	Andrew